Bug 58117 - Excel's ComboBox object is not converted correctly
Summary: Excel's ComboBox object is not converted correctly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-VBA
  Show dependency treegraph
 
Reported: 2012-12-11 07:21 UTC by NOKUBI Takatsugu
Modified: 2018-09-24 19:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
a combobox example (24.00 KB, application/vnd.ms-excel)
2012-12-12 06:28 UTC, NOKUBI Takatsugu
Details
converted file from combobox2.xls (12.10 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-12 06:29 UTC, NOKUBI Takatsugu
Details
Saved as a xls file on LibO Calc (6.50 KB, application/vnd.ms-excel)
2012-12-12 06:30 UTC, NOKUBI Takatsugu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NOKUBI Takatsugu 2012-12-11 07:21:25 UTC
MS Excel's ComboBox has ListRows property, but LibO not.

http://c-cpp.r3dcode.com/files/LibreOffice/3/4.5.2/libs-core/vbahelper/source/msforms/vbalistbox.cxx

I'm glad if the feature will be implemented.
Comment 1 NOKUBI Takatsugu 2012-12-12 06:28:26 UTC
Created attachment 71377 [details]
a combobox example
Comment 2 NOKUBI Takatsugu 2012-12-12 06:29:36 UTC
Created attachment 71378 [details]
converted file from combobox2.xls

Save as an odt file.
Comment 3 NOKUBI Takatsugu 2012-12-12 06:30:59 UTC
Created attachment 71379 [details]
Saved as a xls file on LibO Calc

ComboBox object is conveted to unknown object.
Comment 4 NOKUBI Takatsugu 2012-12-12 06:32:01 UTC
It is
Comment 5 NOKUBI Takatsugu 2012-12-12 06:32:32 UTC
I changed the subject. It is not ListBox's bug.
Comment 6 NOKUBI Takatsugu 2012-12-12 06:37:21 UTC
Sorry, I can't reproduce minimal case, but sometimes LibO Calc
converts ComboBox object to ListBox object. It is a problem.
Comment 7 Florian Reisinger 2013-04-21 14:08:05 UTC
Comparing the .ods and the .xls, the values are missing (Version 4.0.3.1 (Build ID: a67943cd4d125208f4ea7fa29439551825cfb39) @Win7 x64)
Comment 8 QA Administrators 2015-04-19 03:23:40 UTC Comment hidden (obsolete)
Comment 9 NOKUBI Takatsugu 2015-04-24 08:35:19 UTC
I tried on 4.4.2.2.
It seems to work good.
Comment 10 QA Administrators 2016-09-20 09:34:01 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920